public static interface InfinispanEmbeddedEndpointBuilderFactory.InfinispanEmbeddedBuilders
| Modifier and Type | Method and Description |
|---|---|
default InfinispanEmbeddedEndpointBuilderFactory.InfinispanEmbeddedEndpointBuilder |
infinispanEmbedded(String path)
Infinispan Embedded (camel-infinispan-embedded)
Read and write from/to Infinispan distributed key/value store and
data grid.
|
default InfinispanEmbeddedEndpointBuilderFactory.InfinispanEmbeddedEndpointBuilder |
infinispanEmbedded(String componentName,
String path)
Infinispan Embedded (camel-infinispan-embedded)
Read and write from/to Infinispan distributed key/value store and
data grid.
|
default InfinispanEmbeddedEndpointBuilderFactory.InfinispanEmbeddedEndpointBuilder infinispanEmbedded(String path)
infinispan-embedded:cacheName
Path parameter: cacheName (required)
The name of the cache to use. Use current to use the existing cache
name from the currently configured cached manager. Or use default for
the default cache manager name.path - cacheNamedefault InfinispanEmbeddedEndpointBuilderFactory.InfinispanEmbeddedEndpointBuilder infinispanEmbedded(String componentName, String path)
infinispan-embedded:cacheName
Path parameter: cacheName (required)
The name of the cache to use. Use current to use the existing cache
name from the currently configured cached manager. Or use default for
the default cache manager name.componentName - to use a custom component name for the endpoint
instead of the default namepath - cacheNameApache Camel